Bug 120192 - kernel ethernet thread doesn't change proc title when device is renamed
Summary: kernel ethernet thread doesn't change proc title when device is renamed
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-06 17:25 UTC by Bill Nottingham
Modified: 2014-03-17 02:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 01:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-04-06 17:25:37 UTC
2.6.4-1.305 

I have a kernel thread in my process table:

  845 ?        SW     0:00 [eth0]

However, I rename all my ethernet devices - /proc/net/dev shows
lo, fred, joe, sit0, and tun0.

Obviously the kernel thread should change its proc title. :)b

Comment 1 David Miller 2005-10-05 23:51:21 UTC
What kernel thread is this?  This definitely isn't a kernel problem.


Comment 2 Bill Nottingham 2005-10-07 01:26:05 UTC
Good question. Looks to be dead by now.


Note You need to log in before you can comment on or make changes to this bug.